### File

`packages/eui/packages/components-next/src/lib/components/eui-card/components/eui-card-media/eui-card-media.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-card-media`
templateUrl | `./eui-card-media.component.html`

### Index

###### Inputs
imageClickUrl imageClickUrlExternal imageDescription imageLegend imageUrl
###### HostBindings
class

### Constructor

`constructor()`

### Inputs

imageClickUrl
Type : `string`

imageClickUrlExternal
Type : `string`

imageDescription
Default value : `'eUI Card Image'`

imageLegend
Type : `string`

imageUrl
Type : `string`

### HostBindings

class
Default value : `'eui-card-media'`

# result-matching ""

# No results matching ""